> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.resemble.ai/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.resemble.ai/_mcp/server.

# List identities

GET https://app.resemble.ai/api/v2/identity

List the team's identities, newest first

Reference: https://docs.resemble.ai/api-reference/identity/list-identities

## Authentication

- `Authorization` header (bearer token, required) — API key from https://app.resemble.ai/hub/api

## Request

### Query parameters

- `page` (integer, optional, default: 1)
- `page_size` (integer, optional, default: 10)
- `search` (string, optional) — Filter by identity name

## Response

### 200

List of identities

- `success` (boolean, optional)
- `page` (integer, optional)
- `num_pages` (integer, optional)
- `page_size` (integer, optional)
- `total_count` (integer, optional)
- `items` (list of IdentitySummary, optional)

## Types

### IdentitySummary

Identity summary returned by the list and simple-create endpoints

- `uuid` (string, optional)
- `name` (string, optional)
- `created_at` (datetime, optional)
- `audio_url` (string, optional, nullable) — URL of the first voice sample, if any
- `visibility` (enum, optional)
  - Allowed values: `team`, `global`
- `identity_type` (enum, optional)
  - Allowed values: `person`, `brand`
- `notes` (string, optional, nullable)
- `voice_profile_id` (string, optional, nullable)
- `updated_at` (datetime, optional)
- `project_count` (integer, optional)

## Examples

**Response**

```json
{
  "success": true,
  "page": 1,
  "num_pages": 1,
  "page_size": 1,
  "total_count": 1,
  "items": [
    {
      "uuid": "string",
      "name": "string",
      "created_at": "2024-01-15T09:30:00Z",
      "audio_url": "string",
      "visibility": "team",
      "identity_type": "person",
      "notes": "string",
      "voice_profile_id": "string",
      "updated_at": "2024-01-15T09:30:00Z",
      "project_count": 1
    }
  ]
}
```

**SDK Code**

```python
import requests

url = "https://app.resemble.ai/api/v2/identity"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.json())
```

```javascript
const url = 'https://app.resemble.ai/api/v2/identity';
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://app.resemble.ai/api/v2/identity"

	req, _ := http.NewRequest("GET", url, nil)

	req.Header.Add("Authorization", "Bearer <token>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://app.resemble.ai/api/v2/identity")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://app.resemble.ai/api/v2/identity")
  .header("Authorization", "Bearer <token>")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://app.resemble.ai/api/v2/identity', [
  'headers' => [
    'Authorization' => 'Bearer <token>',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://app.resemble.ai/api/v2/identity");
var request = new RestRequest(Method.GET);
request.AddHeader("Authorization", "Bearer <token>");
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = ["Authorization": "Bearer <token>"]

let request = NSMutableURLRequest(url: NSURL(string: "https://app.resemble.ai/api/v2/identity")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```